"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Clean empty directories from the tree
 */
function clean(tree) {
    return tree.filter((item) => {
        if (item.type === 'dir') {
            if (item.nodes && item.nodes.length) {
                return clean(item.nodes).length;
            }
            return false;
        }
        return true;
    });
}
exports.clean = clean;
